Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkPointPicker Class Reference

`#include <vtkPointPicker.h>`

Inheritance diagram for vtkPointPicker:

[legend]
Collaboration diagram for vtkPointPicker:

[legend]
List of all members.

## Detailed Description

select a point by shooting a ray into a graphics window

Date:
  2002/01/22 15:39:05

Revision:
  1.35

vtkPointPicker is used to select a point by shooting a ray into a graphics window and intersecting with actor's defining geometry - specifically its points. Beside returning coordinates, actor, and mapper, vtkPointPicker returns the id of the closest point within the tolerance along the pick ray.

See also:
  vtkPicker vtkCellPicker.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (71%)
  - Martin, Ken (10%)
  - Lorensen, Bill (7%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkPointPicker.h)`
  - .`cxx` (`/Rendering/vtkPointPicker.cxx)`

Tests:
  vtkPointPicker (Tests)

Definition at line 51 of file vtkPointPicker.h.

## Public Types
typedef vtkPicker | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual vtkIdType | GetPointId ()
## Static Public Methods
vtkPointPicker * | New ()
int | IsTypeOf (const char *type)
vtkPointPicker * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkPointPicker ()
| ~vtkPointPicker ()
float | IntersectWithLine (float p1[3], float p2[3], float tol, vtkAssemblyPath *path, vtkProp3D *p, vtkAbstractMapper3D *m)
void | Initialize ()
## Protected Attributes
vtkIdType | PointId

## Member Typedef Documentation

typedef vtkPicker vtkPointPicker::Superclass

| Reimplemented from vtkPicker. Definition at line 55 of file vtkPointPicker.h.

## Constructor & Destructor Documentation

vtkPointPicker::vtkPointPicker | ( |  | ) | `[protected]`

vtkPointPicker::~vtkPointPicker | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkPointPicker.h.

## Member Function Documentation

vtkPointPicker* vtkPointPicker::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkPicker.

virtual const char* vtkPointPicker::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPicker.

int vtkPointPicker::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPicker.

virtual int vtkPointPicker::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPicker.

vtkPointPicker* vtkPointPicker::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPicker.

void vtkPointPicker::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPicker.

virtual vtkIdType vtkPointPicker::GetPointId | ( |  | ) | `[virtual]`

| Get the id of the picked point. If PointId = -1, nothing was picked.

float vtkPointPicker::IntersectWithLine | ( | float | p1[3],
|  | float | p2[3],
|  | float | tol,
|  | vtkAssemblyPath * | path,
|  | vtkProp3D * | p,
|  | vtkAbstractMapper3D * | m
| ) | `[protected, virtual]`

| Reimplemented from vtkPicker.

void vtkPointPicker::Initialize | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPicker.

## Member Data Documentation

vtkIdType vtkPointPicker::PointId`[protected]`

| Definition at line 67 of file vtkPointPicker.h.

The documentation for this class was generated from the following file:

- Rendering/vtkPointPicker.h